Subject: Re: GNU-Win32 m68K cross compiler
From: [email-masked] (Joop van de Wege)

23 May 1997 21:04:18 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: <[email-masked]>
Original-Cc: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: 7bit
X-Mailer: Becky! ver 1.20
X-Info: Evaluation version at mcc-server
Original-Sender: [email-masked]

On Tue, 20 May 1997 13:50:41 +0100
Joop van de Wege <[email-masked]> wrote:

> 
> 
> On 26 Apr 1997 06:44:22 GMT
> [email-masked] (Doug Evans) wrote:
> 
> > Jan Ove Etterlid ([email-masked]) wrote:
> > > Is there anyone who can give me a list of the steps I have to go to
> > > build a GNU-Win32 gcc cross compiler, assembler and linker which can
> > > produce  m68k coff format executable files, running on Win NT 3.51
> > > pentium PC?
> > You may wish to check out the crossgcc FAQ.
> 
> I did that but didn't find the answers needed for a cross-compiler like
> this:
> --host=i386-cygwin32 --target=m68k-amiga{d}os
> 
> The binutils compile fine and it has only minor problems trying to
> install the documentation (guide/info), that is no problem since i have
> it on my Amiga.
> The problem is with compiling gcc itself.
> The cygwin32 distribution doesn't know about m68k-amiga{d}os and the
> Amiga distribution doesn't know about cygwin32 (files involved are:
> config.sub and config.guess). Simply exchanging them doesn't work.
> So I have directions from both environments on how to make a crosscompiler
> but with an dependency that is like a chicken and egg problem.
I solved this one by running diff on makefile.in and configure of both
systems and modifying cygnwin32 environment to include the Amiga
specific stuff.

> 
> Anyone make a m68k target with cygwin32 as a host?
> 
> Can anyone help me a bit in the right direction on solving this?

OK, I'm now sofar that the cross-compiler is being used in the makefile.
(xgcc -D... -o dummy.o -c dummy.c). It tries to compile dummy.c but it
fails because it calls the assembler like this: 'as.exe -mc68010 .....'.
This is the native assembler (i386) and not the cross-assembler. I made
sure I specified correct paths while configuring the compiler.

Is this a fault in the configure script?

xgcc --print-search-dirs
reveals that my path is there together with a bunch of others.
Telling xgcc to compile to assembler and feeding the result file to m68k
-amigaos-as.exe will work fine.

Again, any help appreciated,

Joop

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".